## EDBusCalendar EDBusCalendar |

## Functions

gboolean | e_dbus_calendar_get_online ()
void | e_dbus_calendar_set_online ()
const gchar * | e_dbus_calendar_get_revision ()
gchar * | e_dbus_calendar_dup_revision ()
void | e_dbus_calendar_set_revision ()
gboolean | e_dbus_calendar_get_writable ()
void | e_dbus_calendar_set_writable ()
const gchar * | e_dbus_calendar_get_cache_dir ()
gchar * | e_dbus_calendar_dup_cache_dir ()
void | e_dbus_calendar_set_cache_dir ()
const gchar *const * | e_dbus_calendar_get_capabilities ()
gchar ** | e_dbus_calendar_dup_capabilities ()
void | e_dbus_calendar_set_capabilities ()
const gchar * | e_dbus_calendar_get_default_object ()
gchar * | e_dbus_calendar_dup_default_object ()
void | e_dbus_calendar_set_default_object ()
const gchar * | e_dbus_calendar_get_cal_email_address ()
gchar * | e_dbus_calendar_dup_cal_email_address ()
void | e_dbus_calendar_set_cal_email_address ()
const gchar * | e_dbus_calendar_get_alarm_email_address ()
gchar * | e_dbus_calendar_dup_alarm_email_address ()
void | e_dbus_calendar_set_alarm_email_address ()
gboolean | e_dbus_calendar_call_open_sync ()
void | e_dbus_calendar_call_open ()
gboolean | e_dbus_calendar_call_open_finish ()
void | e_dbus_calendar_complete_open ()
gboolean | e_dbus_calendar_call_close_sync ()
void | e_dbus_calendar_call_close ()
gboolean | e_dbus_calendar_call_close_finish ()
void | e_dbus_calendar_complete_close ()
gboolean | e_dbus_calendar_call_refresh_sync ()
void | e_dbus_calendar_call_refresh ()
gboolean | e_dbus_calendar_call_refresh_finish ()
void | e_dbus_calendar_complete_refresh ()
gboolean | e_dbus_calendar_call_create_objects_sync ()
void | e_dbus_calendar_call_create_objects ()
gboolean | e_dbus_calendar_call_create_objects_finish ()
void | e_dbus_calendar_complete_create_objects ()
gboolean | e_dbus_calendar_call_modify_objects_sync ()
void | e_dbus_calendar_call_modify_objects ()
gboolean | e_dbus_calendar_call_modify_objects_finish ()
void | e_dbus_calendar_complete_modify_objects ()
gboolean | e_dbus_calendar_call_remove_objects_sync ()
void | e_dbus_calendar_call_remove_objects ()
gboolean | e_dbus_calendar_call_remove_objects_finish ()
void | e_dbus_calendar_complete_remove_objects ()
gboolean | e_dbus_calendar_call_receive_objects_sync ()
void | e_dbus_calendar_call_receive_objects ()
gboolean | e_dbus_calendar_call_receive_objects_finish ()
void | e_dbus_calendar_complete_receive_objects ()
gboolean | e_dbus_calendar_call_send_objects_sync ()
void | e_dbus_calendar_call_send_objects ()
gboolean | e_dbus_calendar_call_send_objects_finish ()
void | e_dbus_calendar_complete_send_objects ()
gboolean | e_dbus_calendar_call_get_object_sync ()
void | e_dbus_calendar_call_get_object ()
gboolean | e_dbus_calendar_call_get_object_finish ()
void | e_dbus_calendar_complete_get_object ()
gboolean | e_dbus_calendar_call_get_object_list_sync ()
void | e_dbus_calendar_call_get_object_list ()
gboolean | e_dbus_calendar_call_get_object_list_finish ()
void | e_dbus_calendar_complete_get_object_list ()
gboolean | e_dbus_calendar_call_get_free_busy_sync ()
void | e_dbus_calendar_call_get_free_busy ()
gboolean | e_dbus_calendar_call_get_free_busy_finish ()
void | e_dbus_calendar_complete_get_free_busy ()
gboolean | e_dbus_calendar_call_get_attachment_uris_sync ()
void | e_dbus_calendar_call_get_attachment_uris ()
gboolean | e_dbus_calendar_call_get_attachment_uris_finish ()
void | e_dbus_calendar_complete_get_attachment_uris ()
gboolean | e_dbus_calendar_call_discard_alarm_sync ()
void | e_dbus_calendar_call_discard_alarm ()
gboolean | e_dbus_calendar_call_discard_alarm_finish ()
void | e_dbus_calendar_complete_discard_alarm ()
gboolean | e_dbus_calendar_call_get_timezone_sync ()
void | e_dbus_calendar_call_get_timezone ()
gboolean | e_dbus_calendar_call_get_timezone_finish ()
void | e_dbus_calendar_complete_get_timezone ()
gboolean | e_dbus_calendar_call_add_timezone_sync ()
void | e_dbus_calendar_call_add_timezone ()
gboolean | e_dbus_calendar_call_add_timezone_finish ()
void | e_dbus_calendar_complete_add_timezone ()
gboolean | e_dbus_calendar_call_get_view_sync ()
void | e_dbus_calendar_call_get_view ()
gboolean | e_dbus_calendar_call_get_view_finish ()
void | e_dbus_calendar_complete_get_view ()
void | e_dbus_calendar_emit_error ()
void | e_dbus_calendar_emit_free_busy_data ()
GDBusInterfaceInfo * | e_dbus_calendar_interface_info ()
guint | e_dbus_calendar_override_properties ()
EDBusCalendar * | e_dbus_calendar_proxy_new_sync ()
void | e_dbus_calendar_proxy_new ()
EDBusCalendar * | e_dbus_calendar_proxy_new_finish ()
EDBusCalendar * | e_dbus_calendar_proxy_new_for_bus_sync ()
void | e_dbus_calendar_proxy_new_for_bus ()
EDBusCalendar * | e_dbus_calendar_proxy_new_for_bus_finish ()
EDBusCalendar * | e_dbus_calendar_skeleton_new ()

## Properties

gchar * | alarm-email-address | Read / Write
gchar * | cache-dir | Read / Write
gchar * | cal-email-address | Read / Write
GStrv | capabilities | Read / Write
gchar * | default-object | Read / Write
gboolean | online | Read / Write
gchar * | revision | Read / Write
gboolean | writable | Read / Write

## Signals

void | error | Run Last
void | free-busy-data | Run Last
gboolean | handle-add-timezone | Run Last
gboolean | handle-close | Run Last
gboolean | handle-create-objects | Run Last
gboolean | handle-discard-alarm | Run Last
gboolean | handle-get-attachment-uris | Run Last
gboolean | handle-get-free-busy | Run Last
gboolean | handle-get-object | Run Last
gboolean | handle-get-object-list | Run Last
gboolean | handle-get-timezone | Run Last
gboolean | handle-get-view | Run Last
gboolean | handle-modify-objects | Run Last
gboolean | handle-open | Run Last
gboolean | handle-receive-objects | Run Last
gboolean | handle-refresh | Run Last
gboolean | handle-remove-objects | Run Last
gboolean | handle-send-objects | Run Last

## Types and Values

| EDBusCalendar
struct | EDBusCalendarProxy
struct | EDBusCalendarSkeleton

## Object Hierarchy

        GInterface
        ╰── EDBusCalendar
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusCalendarSkeleton
        ╰── GDBusProxy
            ╰── EDBusCalendarProxy

## Prerequisites

EDBusCalendar requires GObject.

## Implemented Interfaces

EDBusCalendarProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusCalendar.

EDBusCalendarSkeleton implements GDBusInterface and EDBusCalendar.

## Known Implementations

EDBusCalendar is implemented by EDBusCalendarProxy and EDBusCalendarSkeleton.

## Description

## Functions

### e_dbus_calendar_get_online ()

    gboolean
    e_dbus_calendar_get_online (EDBusCalendar *object);

Gets the value of the "Online" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value.

Since 3.8

### e_dbus_calendar_set_online ()

    void
    e_dbus_calendar_set_online (EDBusCalendar *object,
                                gboolean value);

Sets the "Online" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_revision ()

    const gchar *
    e_dbus_calendar_get_revision (EDBusCalendar *object);

Gets the value of the "Revision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_revision()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_revision ()

    gchar *
    e_dbus_calendar_dup_revision (EDBusCalendar *object);

Gets a copy of the "Revision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_revision ()

    void
    e_dbus_calendar_set_revision (EDBusCalendar *object,
                                  const gchar *value);

Sets the "Revision" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_writable ()

    gboolean
    e_dbus_calendar_get_writable (EDBusCalendar *object);

Gets the value of the "Writable" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value.

Since 3.8

### e_dbus_calendar_set_writable ()

    void
    e_dbus_calendar_set_writable (EDBusCalendar *object,
                                  gboolean value);

Sets the "Writable" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_cache_dir ()

    const gchar *
    e_dbus_calendar_get_cache_dir (EDBusCalendar *object);

Gets the value of the "CacheDir" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_cache_dir()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_cache_dir ()

    gchar *
    e_dbus_calendar_dup_cache_dir (EDBusCalendar *object);

Gets a copy of the "CacheDir" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_cache_dir ()

    void
    e_dbus_calendar_set_cache_dir (EDBusCalendar *object,
                                   const gchar *value);

Sets the "CacheDir" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_capabilities ()

    const gchar *const *
    e_dbus_calendar_get_capabilities (EDBusCalendar *object);

Gets the value of the "Capabilities" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_capabilities()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_capabilities ()

    gchar **
    e_dbus_calendar_dup_capabilities (EDBusCalendar *object);

Gets a copy of the "Capabilities" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_capabilities ()

    void
    e_dbus_calendar_set_capabilities (EDBusCalendar *object,
                                      const gchar *const *value);

Sets the "Capabilities" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_default_object ()

    const gchar *
    e_dbus_calendar_get_default_object (EDBusCalendar *object);

Gets the value of the "DefaultObject" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_default_object()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_default_object ()

    gchar *
    e_dbus_calendar_dup_default_object (EDBusCalendar *object);

Gets a copy of the "DefaultObject" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_default_object ()

    void
    e_dbus_calendar_set_default_object (EDBusCalendar *object,
                                        const gchar *value);

Sets the "DefaultObject" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_cal_email_address ()

    const gchar *
    e_dbus_calendar_get_cal_email_address (EDBusCalendar *object);

Gets the value of the "CalEmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_cal_email_address()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_cal_email_address ()

    gchar *
    e_dbus_calendar_dup_cal_email_address (EDBusCalendar *object);

Gets a copy of the "CalEmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_cal_email_address ()

    void
    e_dbus_calendar_set_cal_email_address (EDBusCalendar *object,
                                           const gchar *value);

Sets the "CalEmailAddress" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_get_alarm_email_address ()

    const gchar *
    e_dbus_calendar_get_alarm_email_address
                                   (EDBusCalendar *object);

Gets the value of the "AlarmEmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `e_dbus_calendar_dup_alarm_email_address()` if on another thread.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

Since 3.8

### e_dbus_calendar_dup_alarm_email_address ()

    gchar *
    e_dbus_calendar_dup_alarm_email_address
                                   (EDBusCalendar *object);

Gets a copy of the "AlarmEmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

#### Parameters

object | A EDBusCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

Since 3.8

### e_dbus_calendar_set_alarm_email_address ()

    void
    e_dbus_calendar_set_alarm_email_address
                                   (EDBusCalendar *object,
                                    const gchar *value);

Sets the "AlarmEmailAddress" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

#### Parameters

object | A EDBusCalendar. |
value | The value to set. |

Since 3.8

### e_dbus_calendar_call_open_sync ()

    gboolean
    e_dbus_calendar_call_open_sync (EDBusCalendar *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Open()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_open()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_open ()

    void
    e_dbus_calendar_call_open (EDBusCalendar *proxy,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously invokes the `Open()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_open_finish()` to get the result of the operation.

See `e_dbus_calendar_call_open_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_open_finish ()

    gboolean
    e_dbus_calendar_call_open_finish (EDBusCalendar *proxy,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an operation started with `e_dbus_calendar_call_open()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_open()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_open ()

    void
    e_dbus_calendar_complete_open (EDBusCalendar *object,
                                   GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Open()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_close_sync ()

    gboolean
    e_dbus_calendar_call_close_sync (EDBusCalendar *proxy,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously invokes the `Close()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_close()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_close ()

    void
    e_dbus_calendar_call_close (EDBusCalendar *proxy,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously invokes the `Close()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_close_finish()` to get the result of the operation.

See `e_dbus_calendar_call_close_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_close_finish ()

    gboolean
    e_dbus_calendar_call_close_finish (EDBusCalendar *proxy,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `e_dbus_calendar_call_close()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_close()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_close ()

    void
    e_dbus_calendar_complete_close (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Close()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_refresh_sync ()

    gboolean
    e_dbus_calendar_call_refresh_sync (EDBusCalendar *proxy,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Refresh()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_refresh()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_refresh ()

    void
    e_dbus_calendar_call_refresh (EDBusCalendar *proxy,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Refresh()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_refresh_finish()` to get the result of the operation.

See `e_dbus_calendar_call_refresh_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_refresh_finish ()

    gboolean
    e_dbus_calendar_call_refresh_finish (EDBusCalendar *proxy,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `e_dbus_calendar_call_refresh()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_refresh()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_refresh ()

    void
    e_dbus_calendar_complete_refresh (EDBusCalendar *object,
                                      GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Refresh()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_create_objects_sync ()

    gboolean
    e_dbus_calendar_call_create_objects_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *const *arg_ics_objects,
                                    gchar ***out_uids,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateObjects()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_create_objects()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_objects | Argument to pass with the method invocation. |
out_uids | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_create_objects ()

    void
    e_dbus_calendar_call_create_objects (EDBusCalendar *proxy,
                                         const gchar *const *arg_ics_objects,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `CreateObjects()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_create_objects_finish()` to get the result of the operation.

See `e_dbus_calendar_call_create_objects_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_objects | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_create_objects_finish ()

    gboolean
    e_dbus_calendar_call_create_objects_finish
                                   (EDBusCalendar *proxy,
                                    gchar ***out_uids,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_create_objects()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_uids | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_create_objects()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_create_objects ()

    void
    e_dbus_calendar_complete_create_objects
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *const *uids);

Helper function used in service implementations to finish handling invocations of the `CreateObjects()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
uids | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_modify_objects_sync ()

    gboolean
    e_dbus_calendar_call_modify_objects_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *const *arg_ics_objects,
                                    const gchar *arg_mod_type,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ModifyObjects()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_modify_objects()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_objects | Argument to pass with the method invocation. |
arg_mod_type | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_modify_objects ()

    void
    e_dbus_calendar_call_modify_objects (EDBusCalendar *proxy,
                                         const gchar *const *arg_ics_objects,
                                         const gchar *arg_mod_type,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `ModifyObjects()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_modify_objects_finish()` to get the result of the operation.

See `e_dbus_calendar_call_modify_objects_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_objects | Argument to pass with the method invocation. |
arg_mod_type | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_modify_objects_finish ()

    gboolean
    e_dbus_calendar_call_modify_objects_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_modify_objects()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_modify_objects()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_modify_objects ()

    void
    e_dbus_calendar_complete_modify_objects
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ModifyObjects()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_remove_objects_sync ()

    gboolean
    e_dbus_calendar_call_remove_objects_sync
                                   (EDBusCalendar *proxy,
                                    GVariant *arg_uid_rid_array,
                                    const gchar *arg_mod_type,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `RemoveObjects()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_remove_objects()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid_rid_array | Argument to pass with the method invocation. |
arg_mod_type | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_remove_objects ()

    void
    e_dbus_calendar_call_remove_objects (EDBusCalendar *proxy,
                                         GVariant *arg_uid_rid_array,
                                         const gchar *arg_mod_type,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `RemoveObjects()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_remove_objects_finish()` to get the result of the operation.

See `e_dbus_calendar_call_remove_objects_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid_rid_array | Argument to pass with the method invocation. |
arg_mod_type | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_remove_objects_finish ()

    gboolean
    e_dbus_calendar_call_remove_objects_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_remove_objects()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_remove_objects()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_remove_objects ()

    void
    e_dbus_calendar_complete_remove_objects
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `RemoveObjects()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_receive_objects_sync ()

    gboolean
    e_dbus_calendar_call_receive_objects_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_ics_object,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ReceiveObjects()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_receive_objects()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_object | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_receive_objects ()

    void
    e_dbus_calendar_call_receive_objects (EDBusCalendar *proxy,
                                          const gchar *arg_ics_object,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `ReceiveObjects()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_receive_objects_finish()` to get the result of the operation.

See `e_dbus_calendar_call_receive_objects_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_object | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_receive_objects_finish ()

    gboolean
    e_dbus_calendar_call_receive_objects_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_receive_objects()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_receive_objects()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_receive_objects ()

    void
    e_dbus_calendar_complete_receive_objects
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ReceiveObjects()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_send_objects_sync ()

    gboolean
    e_dbus_calendar_call_send_objects_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_ics_object,
                                    gchar ***out_users,
                                    gchar **out_out_ics_object,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SendObjects()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_send_objects()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_object | Argument to pass with the method invocation. |
out_users | Return location for return parameter or `NULL` to ignore. | [out]
out_out_ics_object | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_send_objects ()

    void
    e_dbus_calendar_call_send_objects (EDBusCalendar *proxy,
                                       const gchar *arg_ics_object,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `SendObjects()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_send_objects_finish()` to get the result of the operation.

See `e_dbus_calendar_call_send_objects_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_ics_object | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_send_objects_finish ()

    gboolean
    e_dbus_calendar_call_send_objects_finish
                                   (EDBusCalendar *proxy,
                                    gchar ***out_users,
                                    gchar **out_out_ics_object,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_send_objects()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_users | Return location for return parameter or `NULL` to ignore. | [out]
out_out_ics_object | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_send_objects()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_send_objects ()

    void
    e_dbus_calendar_complete_send_objects (EDBusCalendar *object,
                                           GDBusMethodInvocation *invocation,
                                           const gchar *const *users,
                                           const gchar *out_ics_object);

Helper function used in service implementations to finish handling invocations of the `SendObjects()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
users | Parameter to return. |
out_ics_object | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_get_object_sync ()

    gboolean
    e_dbus_calendar_call_get_object_sync (EDBusCalendar *proxy,
                                          const gchar *arg_uid,
                                          const gchar *arg_rid,
                                          gchar **out_ics_object,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously invokes the `GetObject()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_object()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
out_ics_object | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_object ()

    void
    e_dbus_calendar_call_get_object (EDBusCalendar *proxy,
                                     const gchar *arg_uid,
                                     const gchar *arg_rid,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously invokes the `GetObject()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_object_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_object_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_object_finish ()

    gboolean
    e_dbus_calendar_call_get_object_finish
                                   (EDBusCalendar *proxy,
                                    gchar **out_ics_object,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_object()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_ics_object | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_object()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_object ()

    void
    e_dbus_calendar_complete_get_object (EDBusCalendar *object,
                                         GDBusMethodInvocation *invocation,
                                         const gchar *ics_object);

Helper function used in service implementations to finish handling invocations of the `GetObject()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
ics_object | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_get_object_list_sync ()

    gboolean
    e_dbus_calendar_call_get_object_list_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_query,
                                    gchar ***out_ics_objects,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetObjectList()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_object_list()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_query | Argument to pass with the method invocation. |
out_ics_objects | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_object_list ()

    void
    e_dbus_calendar_call_get_object_list (EDBusCalendar *proxy,
                                          const gchar *arg_query,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `GetObjectList()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_object_list_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_object_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_query | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_object_list_finish ()

    gboolean
    e_dbus_calendar_call_get_object_list_finish
                                   (EDBusCalendar *proxy,
                                    gchar ***out_ics_objects,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_object_list()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_ics_objects | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_object_list()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_object_list ()

    void
    e_dbus_calendar_complete_get_object_list
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *const *ics_objects);

Helper function used in service implementations to finish handling invocations of the `GetObjectList()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
ics_objects | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_get_free_busy_sync ()

    gboolean
    e_dbus_calendar_call_get_free_busy_sync
                                   (EDBusCalendar *proxy,
                                    gint64 arg_start,
                                    gint64 arg_end,
                                    const gchar *const *arg_users,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetFreeBusy()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_free_busy()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_start | Argument to pass with the method invocation. |
arg_end | Argument to pass with the method invocation. |
arg_users | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_free_busy ()

    void
    e_dbus_calendar_call_get_free_busy (EDBusCalendar *proxy,
                                        gint64 arg_start,
                                        gint64 arg_end,
                                        const gchar *const *arg_users,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `GetFreeBusy()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_free_busy_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_free_busy_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_start | Argument to pass with the method invocation. |
arg_end | Argument to pass with the method invocation. |
arg_users | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_free_busy_finish ()

    gboolean
    e_dbus_calendar_call_get_free_busy_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_free_busy()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_free_busy()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_free_busy ()

    void
    e_dbus_calendar_complete_get_free_busy
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `GetFreeBusy()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_get_attachment_uris_sync ()

    gboolean
    e_dbus_calendar_call_get_attachment_uris_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_uid,
                                    const gchar *arg_rid,
                                    gchar ***out_uris,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetAttachmentUris()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_attachment_uris()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
out_uris | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_attachment_uris ()

    void
    e_dbus_calendar_call_get_attachment_uris
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_uid,
                                    const gchar *arg_rid,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetAttachmentUris()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_attachment_uris_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_attachment_uris_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_attachment_uris_finish ()

    gboolean
    e_dbus_calendar_call_get_attachment_uris_finish
                                   (EDBusCalendar *proxy,
                                    gchar ***out_uris,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_attachment_uris()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_uris | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_attachment_uris()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_attachment_uris ()

    void
    e_dbus_calendar_complete_get_attachment_uris
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *const *uris);

Helper function used in service implementations to finish handling invocations of the `GetAttachmentUris()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
uris | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_discard_alarm_sync ()

    gboolean
    e_dbus_calendar_call_discard_alarm_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_uid,
                                    const gchar *arg_rid,
                                    const gchar *arg_alarm_uid,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `DiscardAlarm()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_discard_alarm()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
arg_alarm_uid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_discard_alarm ()

    void
    e_dbus_calendar_call_discard_alarm (EDBusCalendar *proxy,
                                        const gchar *arg_uid,
                                        const gchar *arg_rid,
                                        const gchar *arg_alarm_uid,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `DiscardAlarm()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_discard_alarm_finish()` to get the result of the operation.

See `e_dbus_calendar_call_discard_alarm_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_uid | Argument to pass with the method invocation. |
arg_rid | Argument to pass with the method invocation. |
arg_alarm_uid | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_discard_alarm_finish ()

    gboolean
    e_dbus_calendar_call_discard_alarm_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_discard_alarm()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_discard_alarm()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_discard_alarm ()

    void
    e_dbus_calendar_complete_discard_alarm
                                   (EDBusCalendar *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `DiscardAlarm()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_get_timezone_sync ()

    gboolean
    e_dbus_calendar_call_get_timezone_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_tz_id,
                                    gchar **out_tz_object,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetTimezone()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_timezone()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_tz_id | Argument to pass with the method invocation. |
out_tz_object | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_timezone ()

    void
    e_dbus_calendar_call_get_timezone (EDBusCalendar *proxy,
                                       const gchar *arg_tz_id,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `GetTimezone()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_timezone_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_timezone_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_tz_id | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_timezone_finish ()

    gboolean
    e_dbus_calendar_call_get_timezone_finish
                                   (EDBusCalendar *proxy,
                                    gchar **out_tz_object,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_timezone()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_tz_object | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_timezone()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_timezone ()

    void
    e_dbus_calendar_complete_get_timezone (EDBusCalendar *object,
                                           GDBusMethodInvocation *invocation,
                                           const gchar *tz_object);

Helper function used in service implementations to finish handling invocations of the `GetTimezone()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
tz_object | Parameter to return. |

Since 3.8

### e_dbus_calendar_call_add_timezone_sync ()

    gboolean
    e_dbus_calendar_call_add_timezone_sync
                                   (EDBusCalendar *proxy,
                                    const gchar *arg_tz_object,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `AddTimezone()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_add_timezone()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_tz_object | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_add_timezone ()

    void
    e_dbus_calendar_call_add_timezone (EDBusCalendar *proxy,
                                       const gchar *arg_tz_object,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `AddTimezone()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_add_timezone_finish()` to get the result of the operation.

See `e_dbus_calendar_call_add_timezone_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_tz_object | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_add_timezone_finish ()

    gboolean
    e_dbus_calendar_call_add_timezone_finish
                                   (EDBusCalendar *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_call_add_timezone()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_add_timezone()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_add_timezone ()

    void
    e_dbus_calendar_complete_add_timezone (EDBusCalendar *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `AddTimezone()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since 3.8

### e_dbus_calendar_call_get_view_sync ()

    gboolean
    e_dbus_calendar_call_get_view_sync (EDBusCalendar *proxy,
                                        const gchar *arg_query,
                                        gchar **out_object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `GetView()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_calendar_call_get_view()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_query | Argument to pass with the method invocation. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_call_get_view ()

    void
    e_dbus_calendar_call_get_view (EDBusCalendar *proxy,
                                   const gchar *arg_query,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `GetView()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_call_get_view_finish()` to get the result of the operation.

See `e_dbus_calendar_call_get_view_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusCalendarProxy. |
arg_query | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_call_get_view_finish ()

    gboolean
    e_dbus_calendar_call_get_view_finish (EDBusCalendar *proxy,
                                          gchar **out_object_path,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `e_dbus_calendar_call_get_view()`.

#### Parameters

proxy | A EDBusCalendarProxy. |
out_object_path | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_call_get_view()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since 3.8

### e_dbus_calendar_complete_get_view ()

    void
    e_dbus_calendar_complete_get_view (EDBusCalendar *object,
                                       GDBusMethodInvocation *invocation,
                                       const gchar *object_path);

Helper function used in service implementations to finish handling invocations of the `GetView()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. | [transfer full]
object_path | Parameter to return. |

Since 3.8

### e_dbus_calendar_emit_error ()

    void
    e_dbus_calendar_emit_error (EDBusCalendar *object,
                                const gchar *arg_error_message);

Emits the "Error" D-Bus signal.

#### Parameters

object | A EDBusCalendar. |
arg_error_message | Argument to pass with the signal. |

Since 3.8

### e_dbus_calendar_emit_free_busy_data ()

    void
    e_dbus_calendar_emit_free_busy_data (EDBusCalendar *object,
                                         const gchar *const *arg_ics_objects);

Emits the "FreeBusyData" D-Bus signal.

#### Parameters

object | A EDBusCalendar. |
arg_ics_objects | Argument to pass with the signal. |

Since 3.8

### e_dbus_calendar_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_calendar_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.Calendar D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since 3.8

### e_dbus_calendar_override_properties ()

    guint
    e_dbus_calendar_override_properties (GObjectClass *klass,
                                         guint property_id_begin);

Overrides all GObject properties in the EDBusCalendar interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since 3.8

### e_dbus_calendar_proxy_new_sync ()

    EDBusCalendar *
    e_dbus_calendar_proxy_new_sync (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Calendar. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_calendar_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarProxy]

Since 3.8

### e_dbus_calendar_proxy_new ()

    void
    e_dbus_calendar_proxy_new (GDBusConnection *connection,
                               GDBusProxyFlags flags,
                               const gchar *name,
                               const gchar *object_path,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.Calendar. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_proxy_new_finish()` to get the result of the operation.

See `e_dbus_calendar_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_proxy_new_finish ()

    EDBusCalendar *
    e_dbus_calendar_proxy_new_finish (GAsyncResult *res,
                                      GError **error);

Finishes an operation started with `e_dbus_calendar_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarProxy]

Since 3.8

### e_dbus_calendar_proxy_new_for_bus_sync ()

    EDBusCalendar *
    e_dbus_calendar_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_calendar_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_calendar_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarProxy]

Since 3.8

### e_dbus_calendar_proxy_new_for_bus ()

    void
    e_dbus_calendar_proxy_new_for_bus (GBusType bus_type,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Like `e_dbus_calendar_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_calendar_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_calendar_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since 3.8

### e_dbus_calendar_proxy_new_for_bus_finish ()

    EDBusCalendar *
    e_dbus_calendar_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_calendar_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_calendar_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusCalendarProxy]

Since 3.8

### e_dbus_calendar_skeleton_new ()

    EDBusCalendar *
    e_dbus_calendar_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.Calendar.

#### Returns

The skeleton object.

[transfer full][type EDBusCalendarSkeleton]

Since 3.8

## Types and Values

### EDBusCalendar

    typedef struct _EDBusCalendar EDBusCalendar;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.Calendar.

Since 3.8

### struct EDBusCalendarProxy

    struct EDBusCalendarProxy;

The EDBusCalendarProxy structure contains only private data and should only be accessed using the provided API.

Since 3.8

### struct EDBusCalendarSkeleton

    struct EDBusCalendarSkeleton;

The EDBusCalendarSkeleton structure contains only private data and should only be accessed using the provided API.

Since 3.8

## Property Details

### The `“alarm-email-address”` property

      “alarm-email-address”      gchar *

Represents the D-Bus property "AlarmEmailAddress".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since 3.8

### The `“cache-dir”` property

      “cache-dir”                gchar *

Represents the D-Bus property "CacheDir".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since 3.8

### The `“cal-email-address”` property

      “cal-email-address”        gchar *

Represents the D-Bus property "CalEmailAddress".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since 3.8

### The `“capabilities”` property

      “capabilities”             GStrv

Represents the D-Bus property "Capabilities".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Since 3.8

### The `“default-object”` property

      “default-object”           gchar *

Represents the D-Bus property "DefaultObject".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since 3.8

### The `“online”` property

      “online”                   gboolean

Represents the D-Bus property "Online".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since 3.8

### The `“revision”` property

      “revision”                 gchar *

Represents the D-Bus property "Revision".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

Since 3.8

### The `“writable”` property

      “writable”                 gboolean

Represents the D-Bus property "Writable".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: FALSE

Since 3.8

## Signal Details

### The `“error”` signal

    void
    user_function (EDBusCalendar *object,
                   gchar         *arg_error_message,
                   gpointer       user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Error" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusCalendar. |
arg_error_message | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 3.8

### The `“free-busy-data”` signal

    void
    user_function (EDBusCalendar *object,
                   GStrv          arg_ics_objects,
                   gpointer       user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "FreeBusyData" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A EDBusCalendar. |
arg_ics_objects | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 3.8

### The `“handle-add-timezone”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_tz_object,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `AddTimezone()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_add_timezone()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_tz_object | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-close”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Close()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_close()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-create-objects”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   GStrv                  arg_ics_objects,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateObjects()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_create_objects()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_ics_objects | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-discard-alarm”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_uid,
                   gchar                 *arg_rid,
                   gchar                 *arg_alarm_uid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `DiscardAlarm()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_discard_alarm()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_uid | Argument passed by remote caller. |
arg_rid | Argument passed by remote caller. |
arg_alarm_uid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-attachment-uris”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_uid,
                   gchar                 *arg_rid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetAttachmentUris()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_attachment_uris()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_uid | Argument passed by remote caller. |
arg_rid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-free-busy”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gint64                 arg_start,
                   gint64                 arg_end,
                   GStrv                  arg_users,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetFreeBusy()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_free_busy()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_start | Argument passed by remote caller. |
arg_end | Argument passed by remote caller. |
arg_users | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-object”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_uid,
                   gchar                 *arg_rid,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetObject()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_object()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_uid | Argument passed by remote caller. |
arg_rid | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-object-list”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_query,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetObjectList()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_object_list()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_query | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-timezone”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_tz_id,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetTimezone()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_timezone()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_tz_id | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-get-view”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_query,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetView()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_get_view()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_query | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-modify-objects”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   GStrv                  arg_ics_objects,
                   gchar                 *arg_mod_type,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ModifyObjects()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_modify_objects()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_ics_objects | Argument passed by remote caller. |
arg_mod_type | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-open”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Open()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_open()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-receive-objects”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_ics_object,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ReceiveObjects()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_receive_objects()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_ics_object | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-refresh”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Refresh()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_refresh()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-remove-objects”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_uid_rid_array,
                   gchar                 *arg_mod_type,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `RemoveObjects()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_remove_objects()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_uid_rid_array | Argument passed by remote caller. |
arg_mod_type | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8

### The `“handle-send-objects”` signal

    gboolean
    user_function (EDBusCalendar         *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_ics_object,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SendObjects()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_calendar_complete_send_objects()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusCalendar. |
invocation | A GDBusMethodInvocation. |
arg_ics_object | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since 3.8